Wind River Support Network

HomeDefectsLIN5-14129
Fixed

LIN5-14129 : Security Advisory - groff - CVE-2009-5081

Created: Jul 7, 2011    Updated: Dec 19, 2017
Resolved Date: Jul 21, 2014
Previous ID: LIN3-21735
Found In Version: 5.0
Fix Version: 5.0.1.17
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The (1) config.guess, (2) contrib/groffer/perl/groffer.pl, and (3) contrib/groffer/perl/roff2.pl scripts in GNU troff (aka groff) 1.21 and earlier use an insufficient number of X characters in the template argument to the tempfile function, which makes it easier for local users to overwrite arbitrary files via a symlink attack on a temporary file, a different vulnerability than CVE-2004-0969.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2009-5081

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online